Subject: Re: [PATCH 1/4] doc: switch links to https

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Sep 2023 15:05:31 -0700

"Josh Soref via GitGitGadget" <[email-masked]> writes:

> From: Josh Soref <[email-masked]>
>
> Signed-off-by: Josh Soref <[email-masked]>
> ---
>  Documentation/CodingGuidelines                         |  2 +-
>  Documentation/MyFirstContribution.txt                  |  2 +-
>  Documentation/git-cvsimport.txt                        |  2 +-
>  Documentation/git-format-patch.txt                     |  2 +-
>  Documentation/git-imap-send.txt                        |  2 +-
>  Documentation/git-send-email.txt                       |  2 +-
>  Documentation/gitcore-tutorial.txt                     |  2 +-
>  Documentation/gitprotocol-http.txt                     |  4 ++--
>  Documentation/gitweb.conf.txt                          |  2 +-
>  Documentation/gitweb.txt                               |  2 +-
>  Documentation/howto/keep-canonical-history-correct.txt |  2 +-
>  Documentation/signoff-option.txt                       |  2 +-
>  INSTALL                                                |  2 +-
>  Makefile                                               |  4 ++--
>  README.md                                              |  2 +-

These are end-user facing and most of the changes looked sensible,
except for URLs that had comments like "at the time of this writing
the URL is at ...", which we should not bother touching.  There may
be other reasons not to touch some of them, but I didn't look very
closely.

>  compat/nedmalloc/malloc.c.h                            | 10 +++++-----
>  compat/obstack.c                                       |  2 +-
>  compat/obstack.h                                       |  2 +-
>  compat/poll/poll.c                                     |  2 +-
>  compat/poll/poll.h                                     |  2 +-
>  compat/precompose_utf8.h                               |  2 +-
>  compat/regex/regcomp.c                                 |  2 +-
>  compat/regex/regex.c                                   |  2 +-
>  compat/regex/regex.h                                   |  2 +-
>  compat/regex/regex_internal.c                          |  2 +-
>  compat/regex/regex_internal.h                          |  2 +-
>  compat/regex/regexec.c                                 |  2 +-
>  compat/vcbuild/README                                  | 10 +++++-----
>  contrib/completion/git-completion.bash                 |  2 +-
>  .../credential/libsecret/git-credential-libsecret.c    |  2 +-
>  contrib/fast-import/import-directories.perl            |  2 +-
>  contrib/hg-to-git/hg-to-git.py                         |  2 +-
>  contrib/mw-to-git/t/test-gitmw-lib.sh                  |  4 ++--
>  contrib/persistent-https/LICENSE                       |  2 +-
>  contrib/persistent-https/README                        |  2 +-
>  contrib/thunderbird-patch-inline/appp.sh               |  2 +-
>  contrib/update-unicode/update_unicode.sh               |  6 +++---
>  convert.c                                              |  2 +-
>  ewah/bitmap.c                                          |  2 +-
>  ewah/ewah_bitmap.c                                     |  2 +-
>  ewah/ewah_io.c                                         |  2 +-
>  ewah/ewah_rlw.c                                        |  2 +-
>  ewah/ewok.h                                            |  4 ++--
>  ewah/ewok_rlw.h                                        |  2 +-
>  xdiff/xdiff.h                                          |  2 +-
>  xdiff/xdiffi.c                                         |  2 +-
>  xdiff/xdiffi.h                                         |  2 +-
>  xdiff/xemit.c                                          |  2 +-
>  xdiff/xemit.h                                          |  2 +-
>  xdiff/xinclude.h                                       |  2 +-
>  xdiff/xmacros.h                                        |  2 +-
>  xdiff/xmerge.c                                         |  2 +-
>  xdiff/xpatience.c                                      |  2 +-
>  xdiff/xprepare.c                                       |  2 +-
>  xdiff/xprepare.h                                       |  2 +-
>  xdiff/xtypes.h                                         |  2 +-
>  xdiff/xutils.c                                         |  2 +-
>  xdiff/xutils.h                                         |  2 +-

There are mostly borrowed code.  I would not touch them, if I were
doing this patch (unless the HTTP:// variant stopped to work and
only HTTPS:// variant works now, that is).

Thanks.